Created by @mabezdek in Q&As
@mabezdek
@mabezdek

Hello, I have problem with new version's of nittro. When I use any "actual" version, the validation messages will only flash - dom is changed, but disappears immediately. I tried custom build, essentials and full build too, but always some problem. When i use old version, I can't identify version number - moved from other project, the messages are rendered correctly.

Thanks.

@jahudka
@jahudka

Hi, I'll look into it. This usually happens when something blurs the input field right after validation - validation messages get cleared from fields on the first blur after they're added, so that's probably that. Are you using a prebuilt package or are you building Nittro yourself?

@mabezdek
@mabezdek

I tried both, essentials and full prebuil and I tried to build nittro myself - the some problem. Thanks.

@jahudka
@jahudka

Hi, sorry for not getting back to you sooner, I've been swamped with work recently :-( have you been able to find a solution? If not, what other javascript libraries and / or widgets is your site using? I think you should look for something that steals focus right after validation fails - as I said the validation messages are cleared on the first blur event that occurs on the element after the message is displayed. Which element has focus right after you try submitting a form which should fail validation? Is it the element which failed validation, or is it some other element?

@barton
@barton

I am using the full Nittro build (nittro-full-2.0.64.zip downloaded from https://www.nittro.org/download) and I encountered this error too. I disabled everything that is not Nittro and still got it.

I experienced it exactly as described by @mabezdek. On click of the submit button, the span containing the error element gets added but is immediately removed somehow.

I found that if I enabled the live form validation using the data-validation-mode="live" attribute, everything behaves as expected. Only thing I noticed with the live validation is that if multiple inputs are required and empty, the error message appears only under the first one, but that might be a feature.

@jahudka
@jahudka

Hi, sorry for taking so long to reply, I think the prebuilt packages at the download site might be a little outdated. Try building a custom package through the online builder tool, that should always have the most current versions of everything. Just select all the base and extras components and leave the rest of the options as is, that should give you the same build as the full prebuilt package.

@barton
@barton

Hello, thank you for your answer.

I tried the custom build a few times before and now again after your advice, however, it does not seem to work. It probably times out (since it takes a while) and ends with a "There was an error processing your request" message.

Sign in to post a reply